:root{
    --orange: #FF6B00;
    --light-orange: #ffa565;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Onest", sans-serif;
}

body{
    overflow-x: hidden;
    background-color: #FAFAFA;
}

nav{
    display: flex;
    justify-content: space-between;
    padding: 20px 30px;
    transition: all ease .55s;
}

nav:hover{
    box-shadow: 0 10px 20px rgba(0, 0, 0, .2);
}

nav i.bx-menu,
nav i.bx-x{
    display: none;
    font-size: 30px;
}

nav .title{
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all ease .55s;
}

nav .title:hover{
    color: var(--orange);
    cursor: pointer;
}

nav .title i{
    font-size: 1.5rem;
    margin-right: 10px;
}

.hidden-menu{
    position: absolute;
    width: 100%;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, .8);
}

.hidden-menu ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hidden-menu ul li a.try{
    text-decoration: none;
    color: black;
    background-color: var(--orange);
    padding: 10px 20px;
    border-radius: 20px;
    font-weight: 600;
    color: white;
}

.hidden-menu ul li{
    margin: 15px 0;
}

.hidden-menu ul li a button{
    border: none;
    background-color: transparent;
    font-size: 1.05em;
    font-weight: 500;
    transition: all ease .55s;
}

nav ul{
    display: flex;
    list-style: none;
    cursor: pointer;
    justify-content: center;
    align-items: center;
}

nav ul li{
    margin: 0 15px;
}

nav ul li button{
    border: none;
    background-color: transparent;
    font-size: 1.05em;
    font-weight: 500;
    transition: all ease .55s;
}
nav ul li button:hover{
    color: var(--orange);
    cursor: pointer;
}

nav ul li a.try{
    background-color: var(--orange);
    border-radius: 20px;
    padding: 10px 20px;
    color: white;
    transition: all ease .55s;
}

nav ul li a.try:hover{
    background-color: #ffa86a;
}


/*Login page*/

.login-page{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.login-page form{
    display: flex;
    flex-direction: column;
    box-shadow: 0 10px 20px rgba(0, 0, 0, .3);
    padding: 50px 40px 30px 40px;
    border-radius: 10px;
}

.login-page .google-login{
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid lightgray;
    padding: 10px 0;
    margin-top: 20px;
    border-radius: 5px;
    transition: all ease .55s;
}

.login-page .google-login:hover{
    cursor: pointer;
    background-color: lightgray;
}

.login-page form .google-login img{
    width: 20px;
    margin-right: 20px;
}

.separator{
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
}

.separator .text{
    margin: 0 10px;
    color: gray;
}

.separator .line{
    width: 100%;
    height: 1px;
    background-color: lightgray;
    color: transparent;
}

form{
    margin: 100px 0 20px 0;
}

form label.email{
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
}

form label.email input{
    margin-top: 10px;
    border: 1px solid lightgray;
    background-color: transparent;
    transition: all ease .55s;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 5px;
}

form label.email input:hover{
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
}

form label.email input:focus{
    border: 1px solid var(--orange);
    outline: none;
}

form label.check{
    margin-top: 10px;
}

form label.link{
    margin-bottom: 20px;
}

form label.link a{
    color: var(--orange);
    text-decoration: none;
}

form .buttons{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}

form .buttons button{
    width: 49%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 0;
    border-radius: 10px;
    border: none;
    background-color: transparent;
    font-size: 1.01em;
    font-weight: 600;
    color: white;
    transition: all ease .55s;
}

form .buttons button.login{
    background-color: var(--orange);
    transition: all ease .55s;
    display: flex;
    justify-content: center;
    align-items: center;
}

form .buttons button.login:hover{
    background-color: #ffa86a;
    cursor: pointer;
}

form .buttons button.login i{
    transition: all ease .55s;
    margin-left: 5px;
}

form .buttons button.login:hover i{
    margin-left: 20px;
}

form .buttons button.create{
    background-color: rgb(41, 199, 252);
    transition: all ease .55s;
}

form .buttons button.create:hover{
    background-color: lightblue;
    cursor: pointer;
}

form a.forget{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
    text-decoration: none;
    color: var(--orange);
}


/*About-page*/

.about-page{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.about-page .presentation{
    background-image: url(images/aboutbg.webp);
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 40vh 0;
}

.about-page .presentation h2{
    color: rgba(255, 255, 255, .7);
    background-color: rgba(0, 0, 0, .6);
    padding: 10px 20px;
    border-radius: 10px;
    font-size: 5em;
    margin-bottom: 70vh;
}

.about-page .presentation p{
    font-size: 3em;
    margin: 0 10vw;
    color: rgba(255, 255, 255, .7);
    background-color: rgba(0, 0, 0, .6);
    padding: 10px 20px;
    border-radius: 10px;
}

.about-page .mision,
.about-page .vision,
.about-page .valores{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.about-page .mision .imagen img,
.about-page .vision .imagen img,
.about-page .valores .imagen img{
    width: 49.6vw;
}

.about-page .valores .explicacion ul{
    list-style: none;
}

.about-page .mision .explicacion,
.about-page .valores .explicacion,
.about-page .vision .explicacion{
    padding: 0 60px;
    font-size: 1.5em;
}

.about-page .vision .explicacion{
    text-align: right;
}

.idea-de-negocio{
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 100px 29%;
}

.idea-de-negocio h2{
    font-size: 3em;
    margin-bottom: 20px;
    text-align: center;
}

.idea-de-negocio p{
    margin-bottom: 20px;
    font-size: 1.3em;
    text-align: center;
    color: rgb(51, 51, 51);
}

.equipo{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 70px;
}

.equipo h2{
    margin-bottom: 30px;
    font-size: 3em;
}

.equipo .miembros{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
}

.equipo .miembros .miembro{
    background-color: #f0f0f0;
    padding: 30px;
    border-radius: 10px;
    transition: all ease .55s;
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
}

.equipo .miembros .miembro:hover img{
    transform: translateY(-10px);
    box-shadow: 0 10px 10px rgba(0, 0, 0, .2);
}

.equipo .miembros .miembro img{
    width: 275px;
    margin-bottom: 20px;
    transition: all ease .55s;
    border-radius: 10px;
}

.equipo .miembros .miembro button{
    transition: all ease .55s;
    width: 100%;
    margin-top: 20px;
    border: 2px solid var(--orange);
    background-color: transparent;
    padding: 10px 0;
    font-size: 1.01em;
    border-radius: 20px;
    font-weight: 600;
}

.equipo .miembros .miembro button a{
    text-decoration: none;
    color: var(--orange);
    transition: all ease .55s;
}

.equipo .miembros .miembro:hover button{
    background-color: var(--orange);
    cursor: pointer;
}

.equipo .miembros .miembro:hover button a{
    color: white;
}


/*Services-page*/

.services-page{
    display: none;
    flex-direction: column;
}

.services-page header{
    display: flex;
    justify-content: left;
    align-items: flex-end;
    background-image: url(images/servicesbg.webp);
    background-size: cover;
    background-position: center;
    color: white;
    padding: 10px 60px;
    height: 200px;
    font-size: 1.5em;
}

.services-page header h2{
    text-transform: uppercase;
}

.services-page .blocks{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    padding: 60px;
}

.services-page .blocks .block{
    box-shadow: 0 0 10px rgba(0, 0, 0, .3);
    padding: 20px;
    display: flex;
    align-items: center;
    border-radius: 10px;
    transition: all ease .55s;
}

.services-page .blocks .block:hover{
    cursor: pointer;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .3);
    transform: translateY(-5px);
}

.services-page .blocks .block i{
    font-size: 3em;
    color: lightgray;
    margin-right: 30px;
    transition: all ease .55s;
}

.services-page .blocks .block:hover i{
    color: var(--light-orange);
}

.services-page .blocks .block .info h3.title{
    font-size: 1.3em;
    color: #0c0c0c;
    transition: all ease .55s;
}

.services-page .blocks .block:hover .info h3.title{
    color: var(--orange);
}

.services-page .blocks .block .info p{
    color: gray;
    transition: all ease .55s;
}

.services-page .blocks .block:hover .info p{
    color: var(--light-orange);
}

.services-page .blocks .block .info ul{
    list-style: none;
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.services-page .blocks .block .info ul li.tag{
    border: 1px solid lightgray;
    padding: 5px;
    border-radius: 10px;
    font-size: .8em;
    color: gray;
    font-weight: 700;
    transition: all ease .55s;
}

.services-page .blocks .block:hover .info ul li{
    color: var(--orange);
    border: 1px solid var(--orange);
}

.app{
    padding: 50px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.website{
    margin-top: 50px;
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
}

.website img{
    width: 30%;
    margin-right: 200px;
}

.app .explain,
.website .explain{
    width: 40%;
}

.app .explain p,
.website .explain p{
    margin-bottom: 10px;
}

.app .explain p:nth-of-type(1){
    margin-bottom: 25px;
}

.app .explain h3,
.website .explain h3{
    margin-bottom: 20px;
    font-size: 3em;
}

.app .explain ol{
    margin-left: 20px;
}

.app .explain ol li{
    margin: 10px 0;
}

.app .images{
    width: 40%;
}

.app img{
    width: 200px;
}


/*Opinions-page*/

.opinions-page{
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.orange{
    color: #b64c00;
    font-weight: 700;
}

.opinions-page header{
    background-image: url(images/opinionsbg.webp);
    background-size: cover;
    background-position: top;
}

.opinions-page header p{
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    color: black;
    font-size: 2.2em;
    background-color: rgba(255, 255, 255, .1);
    backdrop-filter: blur(10px);
    margin: 30vh;
}

.opinions-page .opinions{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 50px;
}

.opinions-page .opinions h4{
    font-size: 3em;
    font-weight: 600;
    margin-bottom: 50px;
}

.opinions-page .opinions h4 span{
    color: rgb(39, 90, 255);
    font-weight: 700;
}

.opinions-page .opinions h4 span i{
    font-size: .8em;
}

.opinions-page .cards{
    display: flex;
    gap: 50px;
    flex-wrap: wrap;
    justify-content: center;
}

.opinions-page .cards .card{
    display: flex;
    flex-direction: column;
    border: 1px solid lightgray;
    border-radius: 10px;
    width: 256px;
    position: relative;
    box-shadow: 0 5px 10px rgba(0, 0, 0, .2);
}

.opinions-page .cards .card img{
    width: 256px;
    height: 256px;
    object-fit: cover;
    object-position: top;
    border-radius: 10px 10px 0 0;
}

.opinions-page .cards .card h5{
    font-size: 1.3em;
    text-align: center; 
    margin-top: 20px;
}

.opinions-page .cards .card p{
    margin: 10px 20px 50px 20px;
}

.opinions-page .cards .card p.stars{
    color: var(--orange);
    text-align: center;
    margin: 0;
    margin-bottom: 10px;
    position: absolute;
    bottom: 0;
    right: 40%;
}

.transparent{
    color: transparent;
}

.opinions-page button{
    padding: 10px 20px;
    border-radius: 20px;
    border: none;
    background-color: var(--orange);
    color: white;
    font-weight: 700;
    font-size: 1.3em;
    transition: all ease .55s;
}

.opinions-page button:hover{
    cursor: pointer;
    background-color: #b64c00;
}


/*Footer*/

footer{
    display: flex;
    flex-direction: column;
    width: 100vw;
    justify-content: center;
    align-items: center;
    bottom: 0;
    padding: 100px 0 30px 0;
}

footer .links{
    display: flex;
    margin-bottom: 30px;
}

footer .links ul{
    display: flex;
    flex-direction: column;
    list-style: none;
    align-items: center;
    justify-content: center;
    margin: 0 30px;
    color: rgb(78, 78, 78);
}

footer .links ul li{
    margin: 5px 0;
}

footer .links ul li:hover{
    text-decoration: underline;
    cursor: pointer;
}

footer .links ul li.header{
    font-weight: bold;
}

footer .links ul li.header:hover{
    cursor: pointer;
    text-decoration: none;
}

footer .rrss ul{
    display: flex;
    list-style: none;
    font-size: 30px;
    color: gray;
}

footer .rrss ul li{
    margin: 0 10px;
    transition: all ease .55s;
}

footer .rrss ul li:hover{
    color: var(--orange);
    cursor: pointer;
    transform: translateY(-5px);
}

footer .location,
footer .copy{
    color: gray;
    margin-top: 20px;
    cursor: pointer;
}

footer .location{
    margin-top: 50px;
}


/*Responsive*/
@media (max-width: 1640px){
    .services-page .app .images img.three{
        display: none;
    }

    .website img{
        margin-right: 100px;
    }
}

@media (max-width: 1600px){
    .opinions-page header p{
        margin: 10vh;
    }
}

@media (max-width: 1500px){
    .about-page .idea-de-negocio{
        padding: 50px 20%;
    }

    .opinions-page .opinions h4{
        font-size: 2em;
    }
}

@media (max-width: 1400px){
    .services-page .blocks{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 1350px){
    .about-page .mision,
    .about-page .vision,
    .about-page .valores{
        font-size: .8em;
    }
}

@media (max-width: 1200px){
    .services-page .app .images img.two{
        display: none;
    }

    .app .images{
        width: 20%;
    }

    .app .explain{
        width: 60%;
    }
}

@media (max-width: 1000px){
    nav i.bx-menu,
    nav i.bx-x{
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .about-page .mision,
    .about-page .vision,
    .about-page .valores{
        font-size: .6em;
    }

    nav ul{
        display: none;
    }

    .opinions-page .opinions h4{
        font-size: 1.5em;
    }

    .opinions-page .cards .card{
        font-size: .8em;
    }

    .about-page .presentation{
        display: none;
    }

    .about-page .idea-de-negocio{
        padding: 50px 10%;
        font-size: .7em;
    }

    .services-page .blocks{
        grid-template-columns: repeat(1, 1fr);
    }

    .opinions-page header p{
        font-size: 1.6em;
        margin: 5vh;
    }
}

@media (max-width: 900px){
    .services-page .app,
    .services-page .website{
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .opinions-page .cards .card h5{
        text-align: center;
    }

    form{
        margin: 10px 10px 20px 10px;
        font-size: .8em;
    }

    .services-page .app .images{
        margin: 0;
        padding: 0; 
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .services-page .website img{
        margin: 0;
        width: 65%
    }

    .services-page .app{
        padding: 0;
    }

    .services-page .app .explain{
        width: 80%;
    }

    .services-page .website .explain{
        width: 70%;
    }
}

@media (max-width: 700px){
    footer .links{
        display: none;
    }

    .about-page .mision .imagen img,
    .about-page .vision .imagen img,
    .about-page .valores .imagen img{
        display: none;
    }

    .about-page .mision,
    .about-page .vision,
    .about-page .valores{
        margin-top: 20px;
    }

    .about-page .vision .explicacion{
        text-align: left;
    }
}

@media (max-width: 550px){
    .services-page .blocks{
        padding: 20px;
        gap: 20px;
    }
}